Skip to content
Start here

Get bot details

GET/radar/bots/{bot_slug}

Retrieves the requested bot information.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
User Details WriteUser Details Read
Path ParametersExpand Collapse
bot_slug: string

Bot slug.

maxLength100
Query ParametersExpand Collapse
format: optional "JSON" or "CSV"

Format in which results will be returned.

One of the following:
"JSON"
"CSV"
ReturnsExpand Collapse
result: { bot }
bot: { category, description, kind, 6 more }
category: string

The category of the bot.

description: string

A summary for the bot (e.g., purpose).

kind: string

The kind of the bot.

name: string

The name of the bot.

operator: string

The organization that owns and operates the bot.

operatorUrl: string

The link to the bot documentation.

slug: string

A kebab-case identifier derived from the bot name.

userAgentPatterns: array of string
userAgents: array of string
success: boolean

Get bot details

curl https://api.cloudflare.com/client/v4/radar/bots/$BOT_SLUG \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "result": {
    "bot": {
      "category": "AI_CRAWLER",
      "description": "OpenAI/ChatGPT's web crawler",
      "kind": "AGENT",
      "name": "GPTBot",
      "operator": "OpenAI",
      "operatorUrl": "https://platform.openai.com/docs/bots",
      "slug": "gptbot",
      "userAgentPatterns": [
        "GPTBot"
      ],
      "userAgents": [
        "GPTBot"
      ]
    }
  },
  "success": true
}
Returns Examples
{
  "result": {
    "bot": {
      "category": "AI_CRAWLER",
      "description": "OpenAI/ChatGPT's web crawler",
      "kind": "AGENT",
      "name": "GPTBot",
      "operator": "OpenAI",
      "operatorUrl": "https://platform.openai.com/docs/bots",
      "slug": "gptbot",
      "userAgentPatterns": [
        "GPTBot"
      ],
      "userAgents": [
        "GPTBot"
      ]
    }
  },
  "success": true
}